package com.persagy.proxy.adm.controller;

import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.adm.service.AdmCalcSpecialService;
import com.persagy.proxy.adm.utils.AdmContextUtil;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;

/***
 * Description: 机电管网系统关系计算
 * @author : lijie
 * @date :2021/9/14 23:15
 * Update By lijie 2021/9/14 23:15
 */
@RestController
@RequestMapping("/calc_special/")
@RequiredArgsConstructor
public class AdmCalcSpecialController {

    private final AdmCalcSpecialService admCalcSpecialService;

    @Value("${middleware.group.code}")
    private String groupCode;

    /***
     * Description: 管网系统设备分块  +  计算流向
     * @param relationType : 关系类型
     * @return : com.persagy.proxy.adm.request.AdmResponse
     * @author : lijie
     * @date :2021/9/29 11:12
     * Update By lijie 2021/9/29 11:12
     */
    @PostMapping("sys-block")
    public AdmResponse sysBlock(@RequestParam("relationType ") String relationType) throws Exception {
        return admCalcSpecialService.sysBolck(AdmContextUtil.toDmpContext(), relationType);
    }
    /***
     * Description: 管网计算
     * @return : com.persagy.proxy.adm.request.AdmResponse
     * @author : lijie
     * @date :2021/9/29 11:58
     * Update By lijie 2021/9/29 11:58
     */
    @GetMapping("calcNetworks")
    public AdmResponse calcNetworks() throws Exception {
        return admCalcSpecialService.calcNetworks(AdmContextUtil.toDmpContext());
    }


}
